## com.google.gwt.user.client.ui
Class FormPanel.SubmitEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<FormPanel.SubmitHandler>
          com.google.gwt.user.client.ui.FormPanel.SubmitEvent

Enclosing class:
  FormPanel

    public static class FormPanel.SubmitEvent

extends GwtEvent<FormPanel.SubmitHandler>

Fired when the form is submitted.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`FormPanel.SubmitEvent()`

Method Summary
`void` | `cancel()` Cancel the form submit.
`protected void` | `dispatch(FormPanel.SubmitHandler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<FormPanel.SubmitHandler>` | `getAssociatedType()` Returns the type used to register this event.
`boolean` | `isCanceled()` Gets whether this form submit will be canceled.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormPanel.SubmitEvent

    public FormPanel.SubmitEvent()

Method Detail

### cancel

    public void cancel()

  Cancel the form submit. Firing this will prevent a subsequent `FormPanel.SubmitCompleteEvent` from being fired.

### getAssociatedType

    public final GwtEvent.Type<FormPanel.SubmitHandler> getAssociatedType()

  Description copied from class: `GwtEvent`
  Returns the type used to register this event. Used by handler manager to dispatch events to the correct handlers.

  Specified by:
    `getAssociatedType` in class `GwtEvent<FormPanel.SubmitHandler>`
  Returns:
    the type

### isCanceled

    public boolean isCanceled()

  Gets whether this form submit will be canceled.

  Returns:
    `true` if the form submit will be canceled

### dispatch

    protected void dispatch(FormPanel.SubmitHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<FormPanel.SubmitHandler>`
  Parameters:
    `handler` - handler